> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Snapshot Parts



## OpenAPI

````yaml api-reference/dca-api GET /datasets/snapshots/{id}/parts
openapi: 3.1.0
info:
  title: Brightdata API
  description: API for interaction with datasets marketplace
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /datasets/snapshots/{id}/parts:
    get:
      description: >-
        Get dataset snapshot delivery parts. All query parameters used here need
        to match those used when downloading the snapshot to get accurate parts
      parameters:
        - in: path
          name: id
          description: >-
            A Snapshot ID is a unique identifier for a specific data snapshot,
            used to retrieve results from a data collection job triggered via
            the API. Read more about [Snapshot
            ID](/api-reference/terminology#snapshot-id).
          required: true
          schema:
            type: string
            example: s_m4x7enmven8djfqak
        - in: query
          name: format
          description: Format of the response
          schema:
            type: string
            enum:
              - json
              - ndjson
              - jsonl
              - csv
            default: json
        - in: query
          name: compress
          description: Whether or not the response will be compressed in gzip format
          schema:
            type: boolean
            default: false
        - in: query
          name: batch_size
          description: Number of records that will be included in each response batch
          schema:
            type: integer
            minimum: 1000
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetSnapshotParts'
        '400':
          description: Snapshot is not ready
          content:
            text/html:
              schema:
                type: string
                example: Snapshot is not ready
        '404':
          description: Snapshot not found
          content:
            text/html:
              schema:
                type: string
                example: snapshot not found
components:
  schemas:
    DatasetSnapshotParts:
      type: object
      properties:
        parts:
          type: number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your Bright Data API Key as a Bearer token in the Authorization
        header.


        **How to authenticate:**

        1. Obtain your API Key from the Bright Data account settings at
        https://brightdata.com/cp/setting/users

        2. Include the API Key in the Authorization header of your requests

        3. Format: `Authorization: Bearer YOUR_API_KEY`


        **Example:**

        ```

        Authorization: Bearer
        b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

        ```


        Learn how to get your Bright Data API key:
        https://docs.brightdata.com/api-reference/authentication
      bearerFormat: API Key

````